# profitbricks_datacenter – Create or destroy a ProfitBricks Virtual Datacenter

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This is a simple module that supports creating or removing vDCs. A vDC is required before you can create servers. This module has a dependency on profitbricks >= 1.0.0

## Requirements

The below requirements are needed on the host that executes this module.

- profitbricks

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | The description of the virtual datacenter.

location
-

Choices:
- us/las ←
- de/fra
- de/fkb

The datacenter location.

name - / required |  | The name of the virtual datacenter.

state
-

Choices:
- present ←
- absent

create or terminate datacenters

subscription_password - |  | THe ProfitBricks password. Overrides the PB_PASSWORD environment variable.
subscription_user - |  | The ProfitBricks username. Overrides the PB_SUBSCRIPTION_ID environment variable.

wait
boolean

Choices:
- no
- yes ←

wait for the datacenter to be created before returning

wait_timeout - | Default: 600 | how long before wait gives up, in seconds

## Examples

    # Create a Datacenter
    - profitbricks_datacenter:
        datacenter: Tardis One
        wait_timeout: 500

    # Destroy a Datacenter. This will remove all servers, volumes, and other objects in the datacenter.
    - profitbricks_datacenter:
        datacenter: Tardis One
        wait_timeout: 500
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Baldwin (@baldwinSPC) <baldwin@stackpointcloud.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.